Javascript.RU

Создать новую тему Ответ
 
Опции темы Искать в теме
  #11 (permalink)  
Старый 18.05.2014, 17:54
Новичок на форуме
Отправить личное сообщение для olegG Посмотреть профиль Найти все сообщения от olegG
 
Регистрация: 16.05.2014
Сообщений: 8

Я не хотел вас обидеть и ни когда не писал что обладаю какими-то знаниями. Именно по этому разместил объявление в разделе Работа.
Ваш код работает отлично, только строка подключения jQuery <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script> мешает работе всем скриптам на сайте-корзине, слайдерам и так далее. Посмотрел, на сайте уже подключен jQuery 1.7.2.
Ответить с цитированием
  #12 (permalink)  
Старый 18.05.2014, 18:05
Аватар для рони
Профессор
Отправить личное сообщение для рони Посмотреть профиль Найти все сообщения от рони
 
Регистрация: 27.05.2010
Сообщений: 33,084

olegG,
не грузите jquery дважды -- определитесь только с версией - если нужна поддержка старых браузеров версия не выше 1.9.1
Ответить с цитированием
  #13 (permalink)  
Старый 18.05.2014, 18:47
Новичок на форуме
Отправить личное сообщение для olegG Посмотреть профиль Найти все сообщения от olegG
 
Регистрация: 16.05.2014
Сообщений: 8

Ну я так понял, что все на сайте уже работает на версии 1.7.2 а меню не работает
Ответить с цитированием
  #14 (permalink)  
Старый 18.05.2014, 18:54
Аватар для рони
Профессор
Отправить личное сообщение для рони Посмотреть профиль Найти все сообщения от рони
 
Регистрация: 27.05.2010
Сообщений: 33,084

olegG,
поменяйте 1.7.2 на более новую хотябы 1.9.1
Ответить с цитированием
  #15 (permalink)  
Старый 18.05.2014, 23:20
Аспирант
Отправить личное сообщение для skfyann Посмотреть профиль Найти все сообщения от skfyann
 
Регистрация: 27.12.2011
Сообщений: 90

Сообщение от рони
если нужна поддержка старых браузеров версия не выше 1.9.1
Это еще почему? Чем 1.11 не угодил?
Ответить с цитированием
  #16 (permalink)  
Старый 19.05.2014, 01:42
Новичок на форуме
Отправить личное сообщение для olegG Посмотреть профиль Найти все сообщения от olegG
 
Регистрация: 16.05.2014
Сообщений: 8

Поменял версию на сайте на 1.9.1 перестало работать минимум 7 модулей. Получается мне нужно обновить все модули, а для этого обновить движок. Я так никогда сайт не запущу. Логичней поискать человека, который смог бы написать или адаптировать код замедления для версии 1.7.2. Если на этом форуме есть такой, отпишитесь плз в теме и скажите сколько это будет стоить. Спасибо
Ответить с цитированием
  #17 (permalink)  
Старый 19.05.2014, 15:22
Профессор
Отправить личное сообщение для alex.vv Посмотреть профиль Найти все сообщения от alex.vv
 
Регистрация: 15.04.2014
Сообщений: 176

Так сайт-то покажите.
Ответить с цитированием
  #18 (permalink)  
Старый 19.05.2014, 17:12
Новичок на форуме
Отправить личное сообщение для olegG Посмотреть профиль Найти все сообщения от olegG
 
Регистрация: 16.05.2014
Сообщений: 8

Сайт не на хостинге еще, код меню и css я разместил в песочнице
http://learn.javascript.ru/play/2FeAgb
Ответить с цитированием
  #19 (permalink)  
Старый 19.05.2014, 18:06
Профессор
Отправить личное сообщение для alex.vv Посмотреть профиль Найти все сообщения от alex.vv
 
Регистрация: 15.04.2014
Сообщений: 176

Сообщение от olegG Посмотреть сообщение
Поменял версию на сайте на 1.9.1 перестало работать минимум 7 модулей.
Эти же модули не в песочнице у вас отвалились, так ведь?

Может у вас там jQuery много раз подключилось, может есть конфликты плагинов, может функции/объекты-оверлеи и т.п. Действительно, гадание на кофейной гуще получается.

Если вам нужно только меню, я могу вам его сделать на jQuery любой версии, какой скажете, или на чистом javascript. Стоимость - 900 руб.
alex.volkov.pro@gmail.com

Последний раз редактировалось alex.vv, 19.05.2014 в 22:00.
Ответить с цитированием
  #20 (permalink)  
Старый 19.05.2014, 23:45
Аватар для BETEPAH
Профессор
Отправить личное сообщение для BETEPAH Посмотреть профиль Найти все сообщения от BETEPAH
 
Регистрация: 23.06.2011
Сообщений: 1,165

Сообщение от olegG
Поменял версию на сайте на 1.9.1 перестало работать минимум 7 модулей
Подключите вместе с jQuery migrate и смотрите в консоли, что из-за чего отпадает.
Ответить с цитированием
Ответ



Опции темы Искать в теме
Искать в теме:

Расширенный поиск


Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Задержка свертывания выпадающего меню Сергей123 Элементы интерфейса 11 31.01.2018 15:52
Задержка перед появлением второго уровня меню esergion jQuery 4 01.07.2016 19:48
Выделение активных пунктов многоуровневого меню на jQuery Letto Элементы интерфейса 2 04.12.2013 15:30
Задержка в выпадающем меню apster Элементы интерфейса 4 22.05.2013 22:05
Проблема с аккордионом и меню Tie ExtJS 3 01.09.2011 14:36